db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myrna van Lunteren" <m.v.lunte...@gmail.com>
Subject Re: [jira] Commented: (DERBY-1746) upgrade tests should start using 10.1.3 released builds
Date Thu, 24 Aug 2006 20:46:29 GMT
On 8/24/06, Rick Hillegas (JIRA) <derby-dev@db.apache.org> wrote:
>    [ http://issues.apache.org/jira/browse/DERBY-1746?page=comments#action_12430281 ]
>
> Rick Hillegas commented on DERBY-1746:
> --------------------------------------
>
> I'm afraid I'm a bit confused about what to do with these patches:
>
> ---------------- Trunk Patch -----------------------------
>
> After I apply this patch to the trunk, I see the following diffs in the 10_1_10_2 test:
>
> 702a703
> > ,APP,DERBY655T2,C21_ID,,APP,DERBY655T1,C11_ID,1,3,0,F_12,xxxxGENERATED-IDxxxx,7
> 707 del
> < complete caseVersionCheck - passed true
> 707a708
> > complete caseVersionCheck - passed false
> 1462 del
> < END - PASS - phase SOFT UPGRADE
> 1462a1463
> > END - FAIL - phase SOFT UPGRADE
> 2166a2168
> > ,APP,DERBY655T2,C21_ID,,APP,DERBY655T1,C11_ID,1,3,0,F_12,xxxxGENERATED-IDxxxx,7
> 2171 del
> < complete caseVersionCheck - passed true
> 2171a2173
> > complete caseVersionCheck - passed false
> 2953 del
> < END - PASS - phase UPGRADE
> 2953a2955
> > END - FAIL - phase UPGRADE
> Test Failed.
> *** End:   Upgrade_10_1_10_2 jdk1.4.2_08 2006-08-24 09:12:23 ***
>
> I think that the lines beginning with ",APP,DERBY655T2," are new diffs added by this
patch. It seems that this patch is making the results dirtier rather than cleaner.
>
> In addition, I don't think we should be running a test called 10_1_10_2 in the trunk.
We should be running some other tests, perhaps 10_1_to_Current and 10_2_to_Current in the
trunk. Perhaps 10_1_10_2 becomes the basis for 10_1_to_Current.
>

I'm wondering if you missed the tail end of my comment when attaching the file:

"I assume patch or eclipse-apply-patch won't deal with the changing of
properties, so here is the svn command:
(when cd-ed to the top of the branch)
cd tools/testing
svn propedit svn:externals derby
& change to:
derby/10.1 https://svn.apache.org/repos/asf/db/derby/jars/10.1.3.1
(note: svn update required after to see the files changed) "

The whole point of this patch is to run with 10.1.3.1 jars...Were you
doing that?

Thx,
Myrna

Mime
View raw message